#include <linux/module.h>
#define INCLUDE_VERMAGIC
#include <linux/build-salt.h>
#include <linux/elfnote-lto.h>
#include <linux/export-internal.h>
#include <linux/vermagic.h>
#include <linux/compiler.h>

#ifdef CONFIG_UNWINDER_ORC
#include <asm/orc_header.h>
ORC_HEADER;
#endif

BUILD_SALT;
BUILD_LTO_INFO;

MODULE_INFO(vermagic, VERMAGIC_STRING);
MODULE_INFO(name, KBUILD_MODNAME);

__visible struct module __this_module
__section(".gnu.linkonce.this_module") = {
	.name = KBUILD_MODNAME,
	.init = init_module,
#ifdef CONFIG_MODULE_UNLOAD
	.exit = cleanup_module,
#endif
	.arch = MODULE_ARCH_INIT,
};

MODULE_INFO(intree, "Y");

#ifdef CONFIG_RETPOLINE
MODULE_INFO(retpoline, "Y");
#endif

KSYMTAB_FUNC(raid_class_attach, "", "");
KSYMTAB_FUNC(raid_class_release, "", "");

SYMBOL_CRC(raid_class_attach, 0xae9abdd6, "");
SYMBOL_CRC(raid_class_release, 0xe86bda98, "");

static const struct modversion_info ____versions[]
__used __section("__versions") = {
	{ 0x170f80aa, "attribute_container_classdev_to_container" },
	{ 0x656e4a6e, "snprintf" },
	{ 0xdba5c481, "_dev_printk" },
	{ 0x950eb34e, "__list_del_entry_valid_or_report" },
	{ 0x198f1f90, "device_unregister" },
	{ 0x37a0cba, "kfree" },
	{ 0xd19c96de, "transport_class_register" },
	{ 0xe760122c, "transport_class_unregister" },
	{ 0xf9016cb0, "scsi_is_sdev_device" },
	{ 0x4f5df2cc, "attribute_container_unregister" },
	{ 0xe61a6d75, "kmalloc_caches" },
	{ 0x29977925, "kmalloc_trace" },
	{ 0xc2ce3f1f, "attribute_container_register" },
	{ 0x17608925, "module_layout" },
};

MODULE_INFO(depends, "");

